%% CMBE class 2-4 pages abstract (CMBE17 Pittsburgh)								     
%% 01/11/2014 Etienne Boileau 				
%% ** DO NOT MODIFY **				 
%
\NeedsTeXFormat{LaTeX2e}
\DeclareOption{10pt}{\OptionNotUsed}
\DeclareOption{12pt}{\OptionNotUsed}
\DeclareOption{twocolumn}{\OptionNotUsed}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
%
\LoadClass[11pt]{article}
%
\RequirePackage[blocks]{authblk}
\renewcommand\Authfont{\bfseries}
\renewcommand\Affilfont{\normalfont\small}
\setlength{\affilsep}{0.5ex}
%
\RequirePackage{geometry}
\geometry{a4paper,total={155mm,262mm},top=17.5mm,left=27.5mm}
%
\RequirePackage{times,calc,indentfirst}
%
\renewcommand{\maketitle}{% 
\newpage
\thispagestyle{empty}
\begin{minipage}[t][28.4pt][t]{454.4pt}
\begin{flushright}
% HEADER %
{%
\footnotesize%
7\textsuperscript{th} International Conference on Computational and Mathematical Biomedical Engineering - CMBE2021\\[2.84pt]%
27--29 June 2022, Italy\\%
P.~Nithiarasu and C.~Vergara (Eds.)%
}%
\end{flushright}
\end{minipage}
%
\begin{center}
\vspace{2ex}
{%
\fontsize{14}{18}\selectfont
\bfseries
\MakeUppercase{\@title}
\par
}%
\vspace{2ex}
{%
\@author
\par
}%
\end{center}
\vspace{1ex}
{%
\noindent\textbf{\centering SUMMARY\\[2.84pt]\space}{\textrm\@summary}
\par 
}%
\vspace{2ex}
\noindent\textbf{Key words:\space}{\it \@keywords}
\par
\vspace{4ex}
}% 
%
\newcommand{\keywords}[1]{\gdef\@keywords{#1}}
\newcommand{\summary}[1]{\gdef\@summary{#1}}
%
\def\sectionLevel{1}
\def\sectionIndent{0pt}
\def\sectionSpaceBefore{12pt}
\def\sectionSpaceAfter{6pt}
\def\sectionStyle{\normalsize\bfseries\MakeUppercase}
\def\subsectionStyle{\normalsize\bfseries}
%
\renewcommand{\section}{%
  \@startsection{section}{\sectionLevel}{\sectionIndent}{\sectionSpaceBefore}%
                {\sectionSpaceAfter}{\sectionStyle}}%
%
\renewcommand{\subsection}{%
  \@startsection{subsection}{\sectionLevel}{\sectionIndent}{\sectionSpaceBefore}%
                {\sectionSpaceAfter}{\subsectionStyle}}%
%                
\renewcommand{\@makecaption}[2]{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\normalsize\fontsize{10}{12}\selectfont {\bf #1}: #2}%
  \ifdim \wd\@tempboxa >\hsize
    \normalsize\fontsize{10}{12}\selectfont #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
%
\renewenvironment{thebibliography}[1]
  {%
  \begin{center}%
  \section*{\MakeUppercase\refname\@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}}%
  \end{center}%
   \list{\@biblabel{\@arabic\c@enumiv}}%
        {\settowidth\labelwidth{\@biblabel{#1}}%
         \leftmargin\labelwidth
         \advance\leftmargin\labelsep
         \@openbib@code
         \usecounter{enumiv}%
         \let\p@enumiv\@empty
         \renewcommand\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty4000
   \@clubpenalty \clubpenalty
   \widowpenalty4000%
   \sfcode`\.\@m}%
  {\def\@noitemerr
   {\@latex@warning{Empty `thebibliography' environment}}%
   \endlist}
%
\setlength{\parindent}{0em}
\setlength{\parskip}{5pt plus 2pt minus 1 pt}
%
\AtBeginDocument{%
  \pagestyle{empty}
  \maketitle
  \let\maketitle\relax
}
%
\endinput
%
